Skip to main content
`Ctrl`+`K`

# PetscDrawViewFromOptions

View a `PetscDraw` from the option database

## Synopsis

    #include "petscdraw.h"
    #include "petscviewer.h"
    PetscErrorCode PetscDrawViewFromOptions(PetscDraw A, PetscObject obj, const char name[])

Collective

## Input Parameters

- A - the `PetscDraw` context

- obj - Optional object

- name - command line option

## Options Database Key

- -name [viewertype][:…] - option name and values. See `PetscObjectViewFromOptions()` for the possible arguments

## See Also

`PetscDraw`, `PetscDrawView`, `PetscObjectViewFromOptions()`, `PetscDrawCreate()`

## Level

intermediate

## Location

src/sys/classes/draw/interface/drawreg.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages